[package]
name = "xand-api"
version = "4.0.1"
authors = ["Transparent Financial Systems <support@tpfs.io>"]
edition = "2021"
description = "Crate has been yanked and should not be used"
license = "MIT OR Apache-2.0"

[badges]
maintenance = { status = "deprecated" }

[dependencies]
async-trait = "0.1"
bincode = "1.3.2"
bytes = "0.4"
cached = "0.22.0"
chrono = "0.4"
derive_more = "0.99"
futures = { version = "0.3.1", features = ["compat"] }
http = "0.2"
hyper = { version = "0.14", features = ["full"] }
jsonwebtoken = "7"
itertools = "0.9.0"
num-traits = "0.2.12"
parity-codec = { package = "parity-scale-codec", version = "2.1" }
prost = "0.6.1"
prost-derive = "0.5"
rand = { version = "0.7", features = ["getrandom"], default-features = false }
serde = "1.0"
serde_json = "1.0"
snafu = "0.6.1"
sp-core = "3.0.0"
tokio = { version = "=1.18.4", features = ["macros", "net", "rt-multi-thread", "sync", "time"] }
tokio-stream = { version = "0.1.7", features = ["net", "time"] }
tonic = "0.6.2"
tower = { version = "0.4" }
tracing = "0.1"
tracing-futures = "0.2"
url = "1"
serde_derive = "1.0"

# First party local deps
petri = { path = "../petri" }
xand-financial-client = { path = "../xand-financial-client" }
xand-financial-client-adapter = { path = "../xand-financial-client-adapter" }
xand-models = { path = "../xand-models" }
xand-runtime-models = { path = "../xand-runtime-models" }
xandstrate-client = { path = "../validator/client" }

# First party remote deps
tpfs_krypt = { version = "7.1.0", registry = "tpfs" }
tpfs_logger_extensions = { version = "0.1.16", registry = "tpfs" }
tpfs_logger_port = { version = "0.3", registry = "tpfs" }
xand-address = { version = "0.4.2", registry = "tpfs" }
xand-api-proto = { version = "49.0.0", registry = "tpfs" }
xand_ledger = { version = "0.62.2", registry = "tpfs" }
xand-public-key = { path = "./../xand-public-key" }

[dev-dependencies]
assert_matches = "1.5.0"
lazy_static = "1.4"
proptest = "0.10.1"
pseudo = "0.2"
curve25519-dalek = { version = "2.0.0", features = ["u64_backend", "alloc", "serde"], default-features = false }
rand = { version = "0.7", features = ["getrandom"], default-features = false }
xand-financial-client = { path = "../xand-financial-client", features = ["test-helpers"] }
xand-api-client = { version = "49.0.0", registry = "tpfs" }
